/[pcre]/code/tags/pcre-3.1/configure
ViewVC logotype

Contents of /code/tags/pcre-3.1/configure

Parent Directory Parent Directory | Revision Log Revision Log


Revision 46 - (show annotations) (download)
Sat Feb 24 21:39:27 2007 UTC (7 years, 5 months ago) by nigel
File size: 46813 byte(s)
Tag code/trunk as code/tags/pcre-3.1.

1 #! /bin/sh
2
3 # Guess values for system-dependent variables and create Makefiles.
4 # Generated automatically using autoconf version 2.13
5 # Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
6 #
7 # This configure script is free software; the Free Software Foundation
8 # gives unlimited permission to copy, distribute and modify it.
9
10 # Defaults:
11 ac_help=
12 ac_default_prefix=/usr/local
13 # Any additions from configure.in:
14 ac_help="$ac_help
15 --disable-shared build PCRE as a static library"
16
17 # Initialize some variables set by options.
18 # The variables have the same names as the options, with
19 # dashes changed to underlines.
20 build=NONE
21 cache_file=./config.cache
22 exec_prefix=NONE
23 host=NONE
24 no_create=
25 nonopt=NONE
26 no_recursion=
27 prefix=NONE
28 program_prefix=NONE
29 program_suffix=NONE
30 program_transform_name=s,x,x,
31 silent=
32 site=
33 srcdir=
34 target=NONE
35 verbose=
36 x_includes=NONE
37 x_libraries=NONE
38 bindir='${exec_prefix}/bin'
39 sbindir='${exec_prefix}/sbin'
40 libexecdir='${exec_prefix}/libexec'
41 datadir='${prefix}/share'
42 sysconfdir='${prefix}/etc'
43 sharedstatedir='${prefix}/com'
44 localstatedir='${prefix}/var'
45 libdir='${exec_prefix}/lib'
46 includedir='${prefix}/include'
47 oldincludedir='/usr/include'
48 infodir='${prefix}/info'
49 mandir='${prefix}/man'
50
51 # Initialize some other variables.
52 subdirs=
53 MFLAGS= MAKEFLAGS=
54 SHELL=${CONFIG_SHELL-/bin/sh}
55 # Maximum number of lines to put in a shell here document.
56 ac_max_here_lines=12
57
58 ac_prev=
59 for ac_option
60 do
61
62 # If the previous option needs an argument, assign it.
63 if test -n "$ac_prev"; then
64 eval "$ac_prev=\$ac_option"
65 ac_prev=
66 continue
67 fi
68
69 case "$ac_option" in
70 -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
71 *) ac_optarg= ;;
72 esac
73
74 # Accept the important Cygnus configure options, so we can diagnose typos.
75
76 case "$ac_option" in
77
78 -bindir | --bindir | --bindi | --bind | --bin | --bi)
79 ac_prev=bindir ;;
80 -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
81 bindir="$ac_optarg" ;;
82
83 -build | --build | --buil | --bui | --bu)
84 ac_prev=build ;;
85 -build=* | --build=* | --buil=* | --bui=* | --bu=*)
86 build="$ac_optarg" ;;
87
88 -cache-file | --cache-file | --cache-fil | --cache-fi \
89 | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
90 ac_prev=cache_file ;;
91 -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
92 | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
93 cache_file="$ac_optarg" ;;
94
95 -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
96 ac_prev=datadir ;;
97 -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
98 | --da=*)
99 datadir="$ac_optarg" ;;
100
101 -disable-* | --disable-*)
102 ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
103 # Reject names that are not valid shell variable names.
104 if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
105 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
106 fi
107 ac_feature=`echo $ac_feature| sed 's/-/_/g'`
108 eval "enable_${ac_feature}=no" ;;
109
110 -enable-* | --enable-*)
111 ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
112 # Reject names that are not valid shell variable names.
113 if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
114 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
115 fi
116 ac_feature=`echo $ac_feature| sed 's/-/_/g'`
117 case "$ac_option" in
118 *=*) ;;
119 *) ac_optarg=yes ;;
120 esac
121 eval "enable_${ac_feature}='$ac_optarg'" ;;
122
123 -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
124 | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
125 | --exec | --exe | --ex)
126 ac_prev=exec_prefix ;;
127 -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
128 | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
129 | --exec=* | --exe=* | --ex=*)
130 exec_prefix="$ac_optarg" ;;
131
132 -gas | --gas | --ga | --g)
133 # Obsolete; use --with-gas.
134 with_gas=yes ;;
135
136 -help | --help | --hel | --he)
137 # Omit some internal or obsolete options to make the list less imposing.
138 # The list generated by autoconf has been trimmed to remove many
139 # options that are totally irrelevant to PCRE (e.g. relating to X),
140 # or are not supported by its Makefile.
141 # This message is too long to be a string in the A/UX 3.1 sh.
142 cat << EOF
143 Usage: ./configure [options]
144 Options: [defaults in brackets after descriptions]
145 Configuration:
146 --cache-file=FILE cache test results in FILE
147 --help print this message
148 --no-create do not create output files
149 --quiet, --silent do not print \`checking...' messages
150 --version print the version of autoconf that created configure
151 Directory and file names:
152 --prefix=PREFIX install architecture-independent files in PREFIX
153 [$ac_default_prefix]
154 --exec-prefix=EPREFIX install architecture-dependent files in EPREFIX
155 [same as prefix]
156 --bindir=DIR user executables in DIR [EPREFIX/bin]
157 --libdir=DIR object code libraries in DIR [EPREFIX/lib]
158 --includedir=DIR C header files in DIR [PREFIX/include]
159 --mandir=DIR man documentation in DIR [PREFIX/man]
160 EOF
161 cat << EOF
162 EOF
163 if test -n "$ac_help"; then
164 echo "--enable and --with options recognized:$ac_help"
165 fi
166 exit 0 ;;
167
168 -host | --host | --hos | --ho)
169 ac_prev=host ;;
170 -host=* | --host=* | --hos=* | --ho=*)
171 host="$ac_optarg" ;;
172
173 -includedir | --includedir | --includedi | --included | --include \
174 | --includ | --inclu | --incl | --inc)
175 ac_prev=includedir ;;
176 -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
177 | --includ=* | --inclu=* | --incl=* | --inc=*)
178 includedir="$ac_optarg" ;;
179
180 -infodir | --infodir | --infodi | --infod | --info | --inf)
181 ac_prev=infodir ;;
182 -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
183 infodir="$ac_optarg" ;;
184
185 -libdir | --libdir | --libdi | --libd)
186 ac_prev=libdir ;;
187 -libdir=* | --libdir=* | --libdi=* | --libd=*)
188 libdir="$ac_optarg" ;;
189
190 -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
191 | --libexe | --libex | --libe)
192 ac_prev=libexecdir ;;
193 -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
194 | --libexe=* | --libex=* | --libe=*)
195 libexecdir="$ac_optarg" ;;
196
197 -localstatedir | --localstatedir | --localstatedi | --localstated \
198 | --localstate | --localstat | --localsta | --localst \
199 | --locals | --local | --loca | --loc | --lo)
200 ac_prev=localstatedir ;;
201 -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
202 | --localstate=* | --localstat=* | --localsta=* | --localst=* \
203 | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
204 localstatedir="$ac_optarg" ;;
205
206 -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
207 ac_prev=mandir ;;
208 -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
209 mandir="$ac_optarg" ;;
210
211 -nfp | --nfp | --nf)
212 # Obsolete; use --without-fp.
213 with_fp=no ;;
214
215 -no-create | --no-create | --no-creat | --no-crea | --no-cre \
216 | --no-cr | --no-c)
217 no_create=yes ;;
218
219 -no-recursion | --no-recursion | --no-recursio | --no-recursi \
220 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
221 no_recursion=yes ;;
222
223 -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
224 | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
225 | --oldin | --oldi | --old | --ol | --o)
226 ac_prev=oldincludedir ;;
227 -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
228 | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
229 | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
230 oldincludedir="$ac_optarg" ;;
231
232 -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
233 ac_prev=prefix ;;
234 -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
235 prefix="$ac_optarg" ;;
236
237 -program-prefix | --program-prefix | --program-prefi | --program-pref \
238 | --program-pre | --program-pr | --program-p)
239 ac_prev=program_prefix ;;
240 -program-prefix=* | --program-prefix=* | --program-prefi=* \
241 | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
242 program_prefix="$ac_optarg" ;;
243
244 -program-suffix | --program-suffix | --program-suffi | --program-suff \
245 | --program-suf | --program-su | --program-s)
246 ac_prev=program_suffix ;;
247 -program-suffix=* | --program-suffix=* | --program-suffi=* \
248 | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
249 program_suffix="$ac_optarg" ;;
250
251 -program-transform-name | --program-transform-name \
252 | --program-transform-nam | --program-transform-na \
253 | --program-transform-n | --program-transform- \
254 | --program-transform | --program-transfor \
255 | --program-transfo | --program-transf \
256 | --program-trans | --program-tran \
257 | --progr-tra | --program-tr | --program-t)
258 ac_prev=program_transform_name ;;
259 -program-transform-name=* | --program-transform-name=* \
260 | --program-transform-nam=* | --program-transform-na=* \
261 | --program-transform-n=* | --program-transform-=* \
262 | --program-transform=* | --program-transfor=* \
263 | --program-transfo=* | --program-transf=* \
264 | --program-trans=* | --program-tran=* \
265 | --progr-tra=* | --program-tr=* | --program-t=*)
266 program_transform_name="$ac_optarg" ;;
267
268 -q | -quiet | --quiet | --quie | --qui | --qu | --q \
269 | -silent | --silent | --silen | --sile | --sil)
270 silent=yes ;;
271
272 -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
273 ac_prev=sbindir ;;
274 -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
275 | --sbi=* | --sb=*)
276 sbindir="$ac_optarg" ;;
277
278 -sharedstatedir | --sharedstatedir | --sharedstatedi \
279 | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
280 | --sharedst | --shareds | --shared | --share | --shar \
281 | --sha | --sh)
282 ac_prev=sharedstatedir ;;
283 -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
284 | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
285 | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
286 | --sha=* | --sh=*)
287 sharedstatedir="$ac_optarg" ;;
288
289 -site | --site | --sit)
290 ac_prev=site ;;
291 -site=* | --site=* | --sit=*)
292 site="$ac_optarg" ;;
293
294 -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
295 ac_prev=srcdir ;;
296 -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
297 srcdir="$ac_optarg" ;;
298
299 -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
300 | --syscon | --sysco | --sysc | --sys | --sy)
301 ac_prev=sysconfdir ;;
302 -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
303 | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
304 sysconfdir="$ac_optarg" ;;
305
306 -target | --target | --targe | --targ | --tar | --ta | --t)
307 ac_prev=target ;;
308 -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
309 target="$ac_optarg" ;;
310
311 -v | -verbose | --verbose | --verbos | --verbo | --verb)
312 verbose=yes ;;
313
314 -version | --version | --versio | --versi | --vers)
315 echo "configure generated by autoconf version 2.13"
316 exit 0 ;;
317
318 -with-* | --with-*)
319 ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
320 # Reject names that are not valid shell variable names.
321 if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
322 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
323 fi
324 ac_package=`echo $ac_package| sed 's/-/_/g'`
325 case "$ac_option" in
326 *=*) ;;
327 *) ac_optarg=yes ;;
328 esac
329 eval "with_${ac_package}='$ac_optarg'" ;;
330
331 -without-* | --without-*)
332 ac_package=`echo $ac_option|sed -e 's/-*without-//'`
333 # Reject names that are not valid shell variable names.
334 if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
335 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
336 fi
337 ac_package=`echo $ac_package| sed 's/-/_/g'`
338 eval "with_${ac_package}=no" ;;
339
340 --x)
341 # Obsolete; use --with-x.
342 with_x=yes ;;
343
344 -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
345 | --x-incl | --x-inc | --x-in | --x-i)
346 ac_prev=x_includes ;;
347 -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
348 | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
349 x_includes="$ac_optarg" ;;
350
351 -x-libraries | --x-libraries | --x-librarie | --x-librari \
352 | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
353 ac_prev=x_libraries ;;
354 -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
355 | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
356 x_libraries="$ac_optarg" ;;
357
358 -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
359 ;;
360
361 *)
362 if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
363 echo "configure: warning: $ac_option: invalid host type" 1>&2
364 fi
365 if test "x$nonopt" != xNONE; then
366 { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
367 fi
368 nonopt="$ac_option"
369 ;;
370
371 esac
372 done
373
374 if test -n "$ac_prev"; then
375 { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
376 fi
377
378 trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
379
380 # File descriptor usage:
381 # 0 standard input
382 # 1 file creation
383 # 2 errors and warnings
384 # 3 some systems may open it to /dev/tty
385 # 4 used on the Kubota Titan
386 # 6 checking for... messages and results
387 # 5 compiler messages saved in config.log
388 if test "$silent" = yes; then
389 exec 6>/dev/null
390 else
391 exec 6>&1
392 fi
393 exec 5>./config.log
394
395 echo "\
396 This file contains any messages produced by compilers while
397 running configure, to aid debugging if configure makes a mistake.
398 " 1>&5
399
400 # Strip out --no-create and --no-recursion so they do not pile up.
401 # Also quote any args containing shell metacharacters.
402 ac_configure_args=
403 for ac_arg
404 do
405 case "$ac_arg" in
406 -no-create | --no-create | --no-creat | --no-crea | --no-cre \
407 | --no-cr | --no-c) ;;
408 -no-recursion | --no-recursion | --no-recursio | --no-recursi \
409 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
410 *" "*|*" "*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
411 ac_configure_args="$ac_configure_args '$ac_arg'" ;;
412 *) ac_configure_args="$ac_configure_args $ac_arg" ;;
413 esac
414 done
415
416 # NLS nuisances.
417 # Only set these to C if already set. These must not be set unconditionally
418 # because not all systems understand e.g. LANG=C (notably SCO).
419 # Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'!
420 # Non-C LC_CTYPE values break the ctype check.
421 if test "${LANG+set}" = set; then LANG=C; export LANG; fi
422 if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
423 if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES=C; export LC_MESSAGES; fi
424 if test "${LC_CTYPE+set}" = set; then LC_CTYPE=C; export LC_CTYPE; fi
425
426 # confdefs.h avoids OS command line length limits that DEFS can exceed.
427 rm -rf conftest* confdefs.h
428 # AIX cpp loses on an empty file, so make sure it contains at least a newline.
429 echo > confdefs.h
430
431 # A filename unique to this package, relative to the directory that
432 # configure is in, which we can look for to find out if srcdir is correct.
433 ac_unique_file=dftables.c
434
435 # Find the source files, if location was not specified.
436 if test -z "$srcdir"; then
437 ac_srcdir_defaulted=yes
438 # Try the directory containing this script, then its parent.
439 ac_prog=$0
440 ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
441 test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
442 srcdir=$ac_confdir
443 if test ! -r $srcdir/$ac_unique_file; then
444 srcdir=..
445 fi
446 else
447 ac_srcdir_defaulted=no
448 fi
449 if test ! -r $srcdir/$ac_unique_file; then
450 if test "$ac_srcdir_defaulted" = yes; then
451 { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
452 else
453 { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
454 fi
455 fi
456 srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
457
458 # Prefer explicitly selected file to automatically selected ones.
459 if test -z "$CONFIG_SITE"; then
460 if test "x$prefix" != xNONE; then
461 CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
462 else
463 CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
464 fi
465 fi
466 for ac_site_file in $CONFIG_SITE; do
467 if test -r "$ac_site_file"; then
468 echo "loading site script $ac_site_file"
469 . "$ac_site_file"
470 fi
471 done
472
473 if test -r "$cache_file"; then
474 echo "loading cache $cache_file"
475 . $cache_file
476 else
477 echo "creating cache $cache_file"
478 > $cache_file
479 fi
480
481 ac_ext=c
482 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
483 ac_cpp='$CPP $CPPFLAGS'
484 ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
485 ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
486 cross_compiling=$ac_cv_prog_cc_cross
487
488 ac_exeext=
489 ac_objext=o
490 if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
491 # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
492 if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
493 ac_n= ac_c='
494 ' ac_t=' '
495 else
496 ac_n=-n ac_c= ac_t=
497 fi
498 else
499 ac_n= ac_c='\c' ac_t=
500 fi
501
502
503
504
505
506
507 PCRE_MAJOR=3
508 PCRE_MINOR=1
509 PCRE_DATE=09-Feb-2000
510 PCRE_VERSION=${PCRE_MAJOR}.${PCRE_MINOR}
511
512
513 PCRE_LIB_VERSION=0:0:0
514 PCRE_POSIXLIB_VERSION=0:0:0
515
516
517 # Extract the first word of "gcc", so it can be a program name with args.
518 set dummy gcc; ac_word=$2
519 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
520 echo "configure:544: checking for $ac_word" >&5
521 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
522 echo $ac_n "(cached) $ac_c" 1>&6
523 else
524 if test -n "$CC"; then
525 ac_cv_prog_CC="$CC" # Let the user override the test.
526 else
527 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
528 ac_dummy="$PATH"
529 for ac_dir in $ac_dummy; do
530 test -z "$ac_dir" && ac_dir=.
531 if test -f $ac_dir/$ac_word; then
532 ac_cv_prog_CC="gcc"
533 break
534 fi
535 done
536 IFS="$ac_save_ifs"
537 fi
538 fi
539 CC="$ac_cv_prog_CC"
540 if test -n "$CC"; then
541 echo "$ac_t""$CC" 1>&6
542 else
543 echo "$ac_t""no" 1>&6
544 fi
545
546 if test -z "$CC"; then
547 # Extract the first word of "cc", so it can be a program name with args.
548 set dummy cc; ac_word=$2
549 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
550 echo "configure:574: checking for $ac_word" >&5
551 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
552 echo $ac_n "(cached) $ac_c" 1>&6
553 else
554 if test -n "$CC"; then
555 ac_cv_prog_CC="$CC" # Let the user override the test.
556 else
557 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
558 ac_prog_rejected=no
559 ac_dummy="$PATH"
560 for ac_dir in $ac_dummy; do
561 test -z "$ac_dir" && ac_dir=.
562 if test -f $ac_dir/$ac_word; then
563 if test "$ac_dir/$ac_word" = "/usr/ucb/cc"; then
564 ac_prog_rejected=yes
565 continue
566 fi
567 ac_cv_prog_CC="cc"
568 break
569 fi
570 done
571 IFS="$ac_save_ifs"
572 if test $ac_prog_rejected = yes; then
573 # We found a bogon in the path, so make sure we never use it.
574 set dummy $ac_cv_prog_CC
575 shift
576 if test $# -gt 0; then
577 # We chose a different compiler from the bogus one.
578 # However, it has the same basename, so the bogon will be chosen
579 # first if we set CC to just the basename; use the full file name.
580 shift
581 set dummy "$ac_dir/$ac_word" "$@"
582 shift
583 ac_cv_prog_CC="$@"
584 fi
585 fi
586 fi
587 fi
588 CC="$ac_cv_prog_CC"
589 if test -n "$CC"; then
590 echo "$ac_t""$CC" 1>&6
591 else
592 echo "$ac_t""no" 1>&6
593 fi
594
595 if test -z "$CC"; then
596 case "`uname -s`" in
597 *win32* | *WIN32*)
598 # Extract the first word of "cl", so it can be a program name with args.
599 set dummy cl; ac_word=$2
600 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
601 echo "configure:625: checking for $ac_word" >&5
602 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
603 echo $ac_n "(cached) $ac_c" 1>&6
604 else
605 if test -n "$CC"; then
606 ac_cv_prog_CC="$CC" # Let the user override the test.
607 else
608 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
609 ac_dummy="$PATH"
610 for ac_dir in $ac_dummy; do
611 test -z "$ac_dir" && ac_dir=.
612 if test -f $ac_dir/$ac_word; then
613 ac_cv_prog_CC="cl"
614 break
615 fi
616 done
617 IFS="$ac_save_ifs"
618 fi
619 fi
620 CC="$ac_cv_prog_CC"
621 if test -n "$CC"; then
622 echo "$ac_t""$CC" 1>&6
623 else
624 echo "$ac_t""no" 1>&6
625 fi
626 ;;
627 esac
628 fi
629 test -z "$CC" && { echo "configure: error: no acceptable cc found in \$PATH" 1>&2; exit 1; }
630 fi
631
632 echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works""... $ac_c" 1>&6
633 echo "configure:657: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works" >&5
634
635 ac_ext=c
636 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
637 ac_cpp='$CPP $CPPFLAGS'
638 ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
639 ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
640 cross_compiling=$ac_cv_prog_cc_cross
641
642 cat > conftest.$ac_ext << EOF
643
644 #line 668 "configure"
645 #include "confdefs.h"
646
647 main(){return(0);}
648 EOF
649 if { (eval echo configure:673: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
650 ac_cv_prog_cc_works=yes
651 # If we can't run a trivial program, we are probably using a cross compiler.
652 if (./conftest; exit) 2>/dev/null; then
653 ac_cv_prog_cc_cross=no
654 else
655 ac_cv_prog_cc_cross=yes
656 fi
657 else
658 echo "configure: failed program was:" >&5
659 cat conftest.$ac_ext >&5
660 ac_cv_prog_cc_works=no
661 fi
662 rm -fr conftest*
663 ac_ext=c
664 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
665 ac_cpp='$CPP $CPPFLAGS'
666 ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
667 ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
668 cross_compiling=$ac_cv_prog_cc_cross
669
670 echo "$ac_t""$ac_cv_prog_cc_works" 1>&6
671 if test $ac_cv_prog_cc_works = no; then
672 { echo "configure: error: installation or configuration problem: C compiler cannot create executables." 1>&2; exit 1; }
673 fi
674 echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
675 echo "configure:699: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler" >&5
676 echo "$ac_t""$ac_cv_prog_cc_cross" 1>&6
677 cross_compiling=$ac_cv_prog_cc_cross
678
679 echo $ac_n "checking whether we are using GNU C""... $ac_c" 1>&6
680 echo "configure:704: checking whether we are using GNU C" >&5
681 if eval "test \"`echo '$''{'ac_cv_prog_gcc'+set}'`\" = set"; then
682 echo $ac_n "(cached) $ac_c" 1>&6
683 else
684 cat > conftest.c <<EOF
685 #ifdef __GNUC__
686 yes;
687 #endif
688 EOF
689 if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:713: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
690 ac_cv_prog_gcc=yes
691 else
692 ac_cv_prog_gcc=no
693 fi
694 fi
695
696 echo "$ac_t""$ac_cv_prog_gcc" 1>&6
697
698 if test $ac_cv_prog_gcc = yes; then
699 GCC=yes
700 else
701 GCC=
702 fi
703
704 ac_test_CFLAGS="${CFLAGS+set}"
705 ac_save_CFLAGS="$CFLAGS"
706 CFLAGS=
707 echo $ac_n "checking whether ${CC-cc} accepts -g""... $ac_c" 1>&6
708 echo "configure:732: checking whether ${CC-cc} accepts -g" >&5
709 if eval "test \"`echo '$''{'ac_cv_prog_cc_g'+set}'`\" = set"; then
710 echo $ac_n "(cached) $ac_c" 1>&6
711 else
712 echo 'void f(){}' > conftest.c
713 if test -z "`${CC-cc} -g -c conftest.c 2>&1`"; then
714 ac_cv_prog_cc_g=yes
715 else
716 ac_cv_prog_cc_g=no
717 fi
718 rm -f conftest*
719
720 fi
721
722 echo "$ac_t""$ac_cv_prog_cc_g" 1>&6
723 if test "$ac_test_CFLAGS" = set; then
724 CFLAGS="$ac_save_CFLAGS"
725 elif test $ac_cv_prog_cc_g = yes; then
726 if test "$GCC" = yes; then
727 CFLAGS="-g -O2"
728 else
729 CFLAGS="-g"
730 fi
731 else
732 if test "$GCC" = yes; then
733 CFLAGS="-O2"
734 else
735 CFLAGS=
736 fi
737 fi
738
739 # Extract the first word of "ranlib", so it can be a program name with args.
740 set dummy ranlib; ac_word=$2
741 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
742 echo "configure:766: checking for $ac_word" >&5
743 if eval "test \"`echo '$''{'ac_cv_prog_RANLIB'+set}'`\" = set"; then
744 echo $ac_n "(cached) $ac_c" 1>&6
745 else
746 if test -n "$RANLIB"; then
747 ac_cv_prog_RANLIB="$RANLIB" # Let the user override the test.
748 else
749 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
750 ac_dummy="$PATH"
751 for ac_dir in $ac_dummy; do
752 test -z "$ac_dir" && ac_dir=.
753 if test -f $ac_dir/$ac_word; then
754 ac_cv_prog_RANLIB="ranlib"
755 break
756 fi
757 done
758 IFS="$ac_save_ifs"
759 test -z "$ac_cv_prog_RANLIB" && ac_cv_prog_RANLIB=":"
760 fi
761 fi
762 RANLIB="$ac_cv_prog_RANLIB"
763 if test -n "$RANLIB"; then
764 echo "$ac_t""$RANLIB" 1>&6
765 else
766 echo "$ac_t""no" 1>&6
767 fi
768
769
770
771 echo $ac_n "checking how to run the C preprocessor""... $ac_c" 1>&6
772 echo "configure:796: checking how to run the C preprocessor" >&5
773 # On Suns, sometimes $CPP names a directory.
774 if test -n "$CPP" && test -d "$CPP"; then
775 CPP=
776 fi
777 if test -z "$CPP"; then
778 if eval "test \"`echo '$''{'ac_cv_prog_CPP'+set}'`\" = set"; then
779 echo $ac_n "(cached) $ac_c" 1>&6
780 else
781 # This must be in double quotes, not single quotes, because CPP may get
782 # substituted into the Makefile and "${CC-cc}" will confuse make.
783 CPP="${CC-cc} -E"
784 # On the NeXT, cc -E runs the code through the compiler's parser,
785 # not just through cpp.
786 cat > conftest.$ac_ext <<EOF
787 #line 811 "configure"
788 #include "confdefs.h"
789 #include <assert.h>
790 Syntax Error
791 EOF
792 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
793 { (eval echo configure:817: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
794 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
795 if test -z "$ac_err"; then
796 :
797 else
798 echo "$ac_err" >&5
799 echo "configure: failed program was:" >&5
800 cat conftest.$ac_ext >&5
801 rm -rf conftest*
802 CPP="${CC-cc} -E -traditional-cpp"
803 cat > conftest.$ac_ext <<EOF
804 #line 828 "configure"
805 #include "confdefs.h"
806 #include <assert.h>
807 Syntax Error
808 EOF
809 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
810 { (eval echo configure:834: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
811 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
812 if test -z "$ac_err"; then
813 :
814 else
815 echo "$ac_err" >&5
816 echo "configure: failed program was:" >&5
817 cat conftest.$ac_ext >&5
818 rm -rf conftest*
819 CPP="${CC-cc} -nologo -E"
820 cat > conftest.$ac_ext <<EOF
821 #line 845 "configure"
822 #include "confdefs.h"
823 #include <assert.h>
824 Syntax Error
825 EOF
826 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
827 { (eval echo configure:851: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
828 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
829 if test -z "$ac_err"; then
830 :
831 else
832 echo "$ac_err" >&5
833 echo "configure: failed program was:" >&5
834 cat conftest.$ac_ext >&5
835 rm -rf conftest*
836 CPP=/lib/cpp
837 fi
838 rm -f conftest*
839 fi
840 rm -f conftest*
841 fi
842 rm -f conftest*
843 ac_cv_prog_CPP="$CPP"
844 fi
845 CPP="$ac_cv_prog_CPP"
846 else
847 ac_cv_prog_CPP="$CPP"
848 fi
849 echo "$ac_t""$CPP" 1>&6
850
851 echo $ac_n "checking for ANSI C header files""... $ac_c" 1>&6
852 echo "configure:876: checking for ANSI C header files" >&5
853 if eval "test \"`echo '$''{'ac_cv_header_stdc'+set}'`\" = set"; then
854 echo $ac_n "(cached) $ac_c" 1>&6
855 else
856 cat > conftest.$ac_ext <<EOF
857 #line 881 "configure"
858 #include "confdefs.h"
859 #include <stdlib.h>
860 #include <stdarg.h>
861 #include <string.h>
862 #include <float.h>
863 EOF
864 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
865 { (eval echo configure:889: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
866 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
867 if test -z "$ac_err"; then
868 rm -rf conftest*
869 ac_cv_header_stdc=yes
870 else
871 echo "$ac_err" >&5
872 echo "configure: failed program was:" >&5
873 cat conftest.$ac_ext >&5
874 rm -rf conftest*
875 ac_cv_header_stdc=no
876 fi
877 rm -f conftest*
878
879 if test $ac_cv_header_stdc = yes; then
880 # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
881 cat > conftest.$ac_ext <<EOF
882 #line 906 "configure"
883 #include "confdefs.h"
884 #include <string.h>
885 EOF
886 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
887 egrep "memchr" >/dev/null 2>&1; then
888 :
889 else
890 rm -rf conftest*
891 ac_cv_header_stdc=no
892 fi
893 rm -f conftest*
894
895 fi
896
897 if test $ac_cv_header_stdc = yes; then
898 # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
899 cat > conftest.$ac_ext <<EOF
900 #line 924 "configure"
901 #include "confdefs.h"
902 #include <stdlib.h>
903 EOF
904 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
905 egrep "free" >/dev/null 2>&1; then
906 :
907 else
908 rm -rf conftest*
909 ac_cv_header_stdc=no
910 fi
911 rm -f conftest*
912
913 fi
914
915 if test $ac_cv_header_stdc = yes; then
916 # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
917 if test "$cross_compiling" = yes; then
918 :
919 else
920 cat > conftest.$ac_ext <<EOF
921 #line 945 "configure"
922 #include "confdefs.h"
923 #include <ctype.h>
924 #define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
925 #define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
926 #define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
927 int main () { int i; for (i = 0; i < 256; i++)
928 if (XOR (islower (i), ISLOWER (i)) || toupper (i) != TOUPPER (i)) exit(2);
929 exit (0); }
930
931 EOF
932 if { (eval echo configure:956: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
933 then
934 :
935 else
936 echo "configure: failed program was:" >&5
937 cat conftest.$ac_ext >&5
938 rm -fr conftest*
939 ac_cv_header_stdc=no
940 fi
941 rm -fr conftest*
942 fi
943
944 fi
945 fi
946
947 echo "$ac_t""$ac_cv_header_stdc" 1>&6
948 if test $ac_cv_header_stdc = yes; then
949 cat >> confdefs.h <<\EOF
950 #define STDC_HEADERS 1
951 EOF
952
953 fi
954
955 for ac_hdr in limits.h
956 do
957 ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
958 echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
959 echo "configure:983: checking for $ac_hdr" >&5
960 if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
961 echo $ac_n "(cached) $ac_c" 1>&6
962 else
963 cat > conftest.$ac_ext <<EOF
964 #line 988 "configure"
965 #include "confdefs.h"
966 #include <$ac_hdr>
967 EOF
968 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
969 { (eval echo configure:993: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
970 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
971 if test -z "$ac_err"; then
972 rm -rf conftest*
973 eval "ac_cv_header_$ac_safe=yes"
974 else
975 echo "$ac_err" >&5
976 echo "configure: failed program was:" >&5
977 cat conftest.$ac_ext >&5
978 rm -rf conftest*
979 eval "ac_cv_header_$ac_safe=no"
980 fi
981 rm -f conftest*
982 fi
983 if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
984 echo "$ac_t""yes" 1>&6
985 ac_tr_hdr=HAVE_`echo $ac_hdr | sed 'y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%'`
986 cat >> confdefs.h <<EOF
987 #define $ac_tr_hdr 1
988 EOF
989
990 else
991 echo "$ac_t""no" 1>&6
992 fi
993 done
994
995
996
997 echo $ac_n "checking for working const""... $ac_c" 1>&6
998 echo "configure:1022: checking for working const" >&5
999 if eval "test \"`echo '$''{'ac_cv_c_const'+set}'`\" = set"; then
1000 echo $ac_n "(cached) $ac_c" 1>&6
1001 else
1002 cat > conftest.$ac_ext <<EOF
1003 #line 1027 "configure"
1004 #include "confdefs.h"
1005
1006 int main() {
1007
1008 /* Ultrix mips cc rejects this. */
1009 typedef int charset[2]; const charset x;
1010 /* SunOS 4.1.1 cc rejects this. */
1011 char const *const *ccp;
1012 char **p;
1013 /* NEC SVR4.0.2 mips cc rejects this. */
1014 struct point {int x, y;};
1015 static struct point const zero = {0,0};
1016 /* AIX XL C 1.02.0.0 rejects this.
1017 It does not let you subtract one const X* pointer from another in an arm
1018 of an if-expression whose if-part is not a constant expression */
1019 const char *g = "string";
1020 ccp = &g + (g ? g-g : 0);
1021 /* HPUX 7.0 cc rejects these. */
1022 ++ccp;
1023 p = (char**) ccp;
1024 ccp = (char const *const *) p;
1025 { /* SCO 3.2v4 cc rejects this. */
1026 char *t;
1027 char const *s = 0 ? (char *) 0 : (char const *) 0;
1028
1029 *t++ = 0;
1030 }
1031 { /* Someone thinks the Sun supposedly-ANSI compiler will reject this. */
1032 int x[] = {25, 17};
1033 const int *foo = &x[0];
1034 ++foo;
1035 }
1036 { /* Sun SC1.0 ANSI compiler rejects this -- but not the above. */
1037 typedef const int *iptr;
1038 iptr p = 0;
1039 ++p;
1040 }
1041 { /* AIX XL C 1.02.0.0 rejects this saying
1042 "k.c", line 2.27: 1506-025 (S) Operand must be a modifiable lvalue. */
1043 struct s { int j; const int *ap[3]; };
1044 struct s *b; b->j = 5;
1045 }
1046 { /* ULTRIX-32 V3.1 (Rev 9) vcc rejects this */
1047 const int foo = 10;
1048 }
1049
1050 ; return 0; }
1051 EOF
1052 if { (eval echo configure:1076: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1053 rm -rf conftest*
1054 ac_cv_c_const=yes
1055 else
1056 echo "configure: failed program was:" >&5
1057 cat conftest.$ac_ext >&5
1058 rm -rf conftest*
1059 ac_cv_c_const=no
1060 fi
1061 rm -f conftest*
1062 fi
1063
1064 echo "$ac_t""$ac_cv_c_const" 1>&6
1065 if test $ac_cv_c_const = no; then
1066 cat >> confdefs.h <<\EOF
1067 #define const
1068 EOF
1069
1070 fi
1071
1072 echo $ac_n "checking for size_t""... $ac_c" 1>&6
1073 echo "configure:1097: checking for size_t" >&5
1074 if eval "test \"`echo '$''{'ac_cv_type_size_t'+set}'`\" = set"; then
1075 echo $ac_n "(cached) $ac_c" 1>&6
1076 else
1077 cat > conftest.$ac_ext <<EOF
1078 #line 1102 "configure"
1079 #include "confdefs.h"
1080 #include <sys/types.h>
1081 #if STDC_HEADERS
1082 #include <stdlib.h>
1083 #include <stddef.h>
1084 #endif
1085 EOF
1086 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
1087 egrep "(^|[^a-zA-Z_0-9])size_t[^a-zA-Z_0-9]" >/dev/null 2>&1; then
1088 rm -rf conftest*
1089 ac_cv_type_size_t=yes
1090 else
1091 rm -rf conftest*
1092 ac_cv_type_size_t=no
1093 fi
1094 rm -f conftest*
1095
1096 fi
1097 echo "$ac_t""$ac_cv_type_size_t" 1>&6
1098 if test $ac_cv_type_size_t = no; then
1099 cat >> confdefs.h <<\EOF
1100 #define size_t unsigned
1101 EOF
1102
1103 fi
1104
1105
1106
1107 for ac_func in memmove strerror
1108 do
1109 echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
1110 echo "configure:1134: checking for $ac_func" >&5
1111 if eval "test \"`echo '$''{'ac_cv_func_$ac_func'+set}'`\" = set"; then
1112 echo $ac_n "(cached) $ac_c" 1>&6
1113 else
1114 cat > conftest.$ac_ext <<EOF
1115 #line 1139 "configure"
1116 #include "confdefs.h"
1117 /* System header to define __stub macros and hopefully few prototypes,
1118 which can conflict with char $ac_func(); below. */
1119 #include <assert.h>
1120 /* Override any gcc2 internal prototype to avoid an error. */
1121 /* We use char because int might match the return type of a gcc2
1122 builtin and then its argument prototype would still apply. */
1123 char $ac_func();
1124
1125 int main() {
1126
1127 /* The GNU C library defines this for functions which it implements
1128 to always fail with ENOSYS. Some functions are actually named
1129 something starting with __ and the normal name is an alias. */
1130 #if defined (__stub_$ac_func) || defined (__stub___$ac_func)
1131 choke me
1132 #else
1133 $ac_func();
1134 #endif
1135
1136 ; return 0; }
1137 EOF
1138 if { (eval echo configure:1162: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1139 rm -rf conftest*
1140 eval "ac_cv_func_$ac_func=yes"
1141 else
1142 echo "configure: failed program was:" >&5
1143 cat conftest.$ac_ext >&5
1144 rm -rf conftest*
1145 eval "ac_cv_func_$ac_func=no"
1146 fi
1147 rm -f conftest*
1148 fi
1149
1150 if eval "test \"`echo '$ac_cv_func_'$ac_func`\" = yes"; then
1151 echo "$ac_t""yes" 1>&6
1152 ac_tr_func=HAVE_`echo $ac_func | tr 'abcdefghijklmnopqrstuvwxyz' 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'`
1153 cat >> confdefs.h <<EOF
1154 #define $ac_tr_func 1
1155 EOF
1156
1157 else
1158 echo "$ac_t""no" 1>&6
1159 fi
1160 done
1161
1162
1163
1164 LIBTOOL=libtool
1165 LIBSUFFIX=la
1166 # Check whether --enable-shared or --disable-shared was given.
1167 if test "${enable_shared+set}" = set; then
1168 enableval="$enable_shared"
1169 if test "$enableval" = "no"; then
1170 LIBTOOL=
1171 LIBSUFFIX=a
1172 fi
1173
1174 fi
1175
1176
1177
1178
1179
1180
1181
1182
1183
1184
1185
1186
1187
1188
1189 trap '' 1 2 15
1190 cat > confcache <<\EOF
1191 # This file is a shell script that caches the results of configure
1192 # tests run on this system so they can be shared between configure
1193 # scripts and configure runs. It is not useful on other systems.
1194 # If it contains results you don't want to keep, you may remove or edit it.
1195 #
1196 # By default, configure uses ./config.cache as the cache file,
1197 # creating it if it does not exist already. You can give configure
1198 # the --cache-file=FILE option to use a different cache file; that is
1199 # what configure does when it calls configure scripts in
1200 # subdirectories, so they share the cache.
1201 # Giving --cache-file=/dev/null disables caching, for debugging configure.
1202 # config.status only pays attention to the cache file if you give it the
1203 # --recheck option to rerun configure.
1204 #
1205 EOF
1206 # The following way of writing the cache mishandles newlines in values,
1207 # but we know of no workaround that is simple, portable, and efficient.
1208 # So, don't put newlines in cache variables' values.
1209 # Ultrix sh set writes to stderr and can't be redirected directly,
1210 # and sets the high bit in the cache file unless we assign to the vars.
1211 (set) 2>&1 |
1212 case `(ac_space=' '; set | grep ac_space) 2>&1` in
1213 *ac_space=\ *)
1214 # `set' does not quote correctly, so add quotes (double-quote substitution
1215 # turns \\\\ into \\, and sed turns \\ into \).
1216 sed -n \
1217 -e "s/'/'\\\\''/g" \
1218 -e "s/^\\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\\)=\\(.*\\)/\\1=\${\\1='\\2'}/p"
1219 ;;
1220 *)
1221 # `set' quotes correctly as required by POSIX, so do not add quotes.
1222 sed -n -e 's/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=${\1=\2}/p'
1223 ;;
1224 esac >> confcache
1225 if cmp -s $cache_file confcache; then
1226 :
1227 else
1228 if test -w $cache_file; then
1229 echo "updating cache $cache_file"
1230 cat confcache > $cache_file
1231 else
1232 echo "not updating unwritable cache $cache_file"
1233 fi
1234 fi
1235 rm -f confcache
1236
1237 trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
1238
1239 test "x$prefix" = xNONE && prefix=$ac_default_prefix
1240 # Let make expand exec_prefix.
1241 test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
1242
1243 # Any assignment to VPATH causes Sun make to only execute
1244 # the first set of double-colon rules, so remove it if not needed.
1245 # If there is a colon in the path, we need to keep it.
1246 if test "x$srcdir" = x.; then
1247 ac_vpsub='/^[ ]*VPATH[ ]*=[^:]*$/d'
1248 fi
1249
1250 trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15
1251
1252 DEFS=-DHAVE_CONFIG_H
1253
1254 # Without the "./", some shells look in PATH for config.status.
1255 : ${CONFIG_STATUS=./config.status}
1256
1257 echo creating $CONFIG_STATUS
1258 rm -f $CONFIG_STATUS
1259 cat > $CONFIG_STATUS <<EOF
1260 #! /bin/sh
1261 # Generated automatically by configure.
1262 # Run this file to recreate the current configuration.
1263 # This directory was configured as follows,
1264 # on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
1265 #
1266 # $0 $ac_configure_args
1267 #
1268 # Compiler output produced by configure, useful for debugging
1269 # configure, is in ./config.log if it exists.
1270
1271 ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
1272 for ac_option
1273 do
1274 case "\$ac_option" in
1275 -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
1276 echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
1277 exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
1278 -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
1279 echo "$CONFIG_STATUS generated by autoconf version 2.13"
1280 exit 0 ;;
1281 -help | --help | --hel | --he | --h)
1282 echo "\$ac_cs_usage"; exit 0 ;;
1283 *) echo "\$ac_cs_usage"; exit 1 ;;
1284 esac
1285 done
1286
1287 ac_given_srcdir=$srcdir
1288
1289 trap 'rm -fr `echo "Makefile pcre.h:pcre.in pcre-config config.h:config.in" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
1290 EOF
1291 cat >> $CONFIG_STATUS <<EOF
1292
1293 # Protect against being on the right side of a sed subst in config.status.
1294 sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
1295 s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
1296 $ac_vpsub
1297 $extrasub
1298 s%@SHELL@%$SHELL%g
1299 s%@CFLAGS@%$CFLAGS%g
1300 s%@CPPFLAGS@%$CPPFLAGS%g
1301 s%@CXXFLAGS@%$CXXFLAGS%g
1302 s%@FFLAGS@%$FFLAGS%g
1303 s%@DEFS@%$DEFS%g
1304 s%@LDFLAGS@%$LDFLAGS%g
1305 s%@LIBS@%$LIBS%g
1306 s%@exec_prefix@%$exec_prefix%g
1307 s%@prefix@%$prefix%g
1308 s%@program_transform_name@%$program_transform_name%g
1309 s%@bindir@%$bindir%g
1310 s%@sbindir@%$sbindir%g
1311 s%@libexecdir@%$libexecdir%g
1312 s%@datadir@%$datadir%g
1313 s%@sysconfdir@%$sysconfdir%g
1314 s%@sharedstatedir@%$sharedstatedir%g
1315 s%@localstatedir@%$localstatedir%g
1316 s%@libdir@%$libdir%g
1317 s%@includedir@%$includedir%g
1318 s%@oldincludedir@%$oldincludedir%g
1319 s%@infodir@%$infodir%g
1320 s%@mandir@%$mandir%g
1321 s%@CC@%$CC%g
1322 s%@RANLIB@%$RANLIB%g
1323 s%@CPP@%$CPP%g
1324 s%@HAVE_MEMMOVE@%$HAVE_MEMMOVE%g
1325 s%@HAVE_STRERROR@%$HAVE_STRERROR%g
1326 s%@LIBTOOL@%$LIBTOOL%g
1327 s%@LIBSUFFIX@%$LIBSUFFIX%g
1328 s%@PCRE_MAJOR@%$PCRE_MAJOR%g
1329 s%@PCRE_MINOR@%$PCRE_MINOR%g
1330 s%@PCRE_DATE@%$PCRE_DATE%g
1331 s%@PCRE_VERSION@%$PCRE_VERSION%g
1332 s%@PCRE_LIB_VERSION@%$PCRE_LIB_VERSION%g
1333 s%@PCRE_POSIXLIB_VERSION@%$PCRE_POSIXLIB_VERSION%g
1334
1335 CEOF
1336 EOF
1337
1338 cat >> $CONFIG_STATUS <<\EOF
1339
1340 # Split the substitutions into bite-sized pieces for seds with
1341 # small command number limits, like on Digital OSF/1 and HP-UX.
1342 ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
1343 ac_file=1 # Number of current file.
1344 ac_beg=1 # First line for current file.
1345 ac_end=$ac_max_sed_cmds # Line after last line for current file.
1346 ac_more_lines=:
1347 ac_sed_cmds=""
1348 while $ac_more_lines; do
1349 if test $ac_beg -gt 1; then
1350 sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
1351 else
1352 sed "${ac_end}q" conftest.subs > conftest.s$ac_file
1353 fi
1354 if test ! -s conftest.s$ac_file; then
1355 ac_more_lines=false
1356 rm -f conftest.s$ac_file
1357 else
1358 if test -z "$ac_sed_cmds"; then
1359 ac_sed_cmds="sed -f conftest.s$ac_file"
1360 else
1361 ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
1362 fi
1363 ac_file=`expr $ac_file + 1`
1364 ac_beg=$ac_end
1365 ac_end=`expr $ac_end + $ac_max_sed_cmds`
1366 fi
1367 done
1368 if test -z "$ac_sed_cmds"; then
1369 ac_sed_cmds=cat
1370 fi
1371 EOF
1372
1373 cat >> $CONFIG_STATUS <<EOF
1374
1375 CONFIG_FILES=\${CONFIG_FILES-"Makefile pcre.h:pcre.in pcre-config"}
1376 EOF
1377 cat >> $CONFIG_STATUS <<\EOF
1378 for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
1379 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1380 case "$ac_file" in
1381 *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1382 ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1383 *) ac_file_in="${ac_file}.in" ;;
1384 esac
1385
1386 # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.
1387
1388 # Remove last slash and all that follows it. Not all systems have dirname.
1389 ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1390 if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1391 # The file is in a subdirectory.
1392 test ! -d "$ac_dir" && mkdir "$ac_dir"
1393 ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
1394 # A "../" for each directory in $ac_dir_suffix.
1395 ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
1396 else
1397 ac_dir_suffix= ac_dots=
1398 fi
1399
1400 case "$ac_given_srcdir" in
1401 .) srcdir=.
1402 if test -z "$ac_dots"; then top_srcdir=.
1403 else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
1404 /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
1405 *) # Relative path.
1406 srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
1407 top_srcdir="$ac_dots$ac_given_srcdir" ;;
1408 esac
1409
1410
1411 echo creating "$ac_file"
1412 rm -f "$ac_file"
1413 configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
1414 case "$ac_file" in
1415 *Makefile*) ac_comsub="1i\\
1416 # $configure_input" ;;
1417 *) ac_comsub= ;;
1418 esac
1419
1420 ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1421 sed -e "$ac_comsub
1422 s%@configure_input@%$configure_input%g
1423 s%@srcdir@%$srcdir%g
1424 s%@top_srcdir@%$top_srcdir%g
1425 " $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
1426 fi; done
1427 rm -f conftest.s*
1428
1429 # These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
1430 # NAME is the cpp macro being defined and VALUE is the value it is being given.
1431 #
1432 # ac_d sets the value in "#define NAME VALUE" lines.
1433 ac_dA='s%^\([ ]*\)#\([ ]*define[ ][ ]*\)'
1434 ac_dB='\([ ][ ]*\)[^ ]*%\1#\2'
1435 ac_dC='\3'
1436 ac_dD='%g'
1437 # ac_u turns "#undef NAME" with trailing blanks into "#define NAME VALUE".
1438 ac_uA='s%^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)'
1439 ac_uB='\([ ]\)%\1#\2define\3'
1440 ac_uC=' '
1441 ac_uD='\4%g'
1442 # ac_e turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
1443 ac_eA='s%^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)'
1444 ac_eB='$%\1#\2define\3'
1445 ac_eC=' '
1446 ac_eD='%g'
1447
1448 if test "${CONFIG_HEADERS+set}" != set; then
1449 EOF
1450 cat >> $CONFIG_STATUS <<EOF
1451 CONFIG_HEADERS="config.h:config.in"
1452 EOF
1453 cat >> $CONFIG_STATUS <<\EOF
1454 fi
1455 for ac_file in .. $CONFIG_HEADERS; do if test "x$ac_file" != x..; then
1456 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1457 case "$ac_file" in
1458 *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1459 ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1460 *) ac_file_in="${ac_file}.in" ;;
1461 esac
1462
1463 echo creating $ac_file
1464
1465 rm -f conftest.frag conftest.in conftest.out
1466 ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1467 cat $ac_file_inputs > conftest.in
1468
1469 EOF
1470
1471 # Transform confdefs.h into a sed script conftest.vals that substitutes
1472 # the proper values into config.h.in to produce config.h. And first:
1473 # Protect against being on the right side of a sed subst in config.status.
1474 # Protect against being in an unquoted here document in config.status.
1475 rm -f conftest.vals
1476 cat > conftest.hdr <<\EOF
1477 s/[\\&%]/\\&/g
1478 s%[\\$`]%\\&%g
1479 s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%${ac_dA}\1${ac_dB}\1${ac_dC}\2${ac_dD}%gp
1480 s%ac_d%ac_u%gp
1481 s%ac_u%ac_e%gp
1482 EOF
1483 sed -n -f conftest.hdr confdefs.h > conftest.vals
1484 rm -f conftest.hdr
1485
1486 # This sed command replaces #undef with comments. This is necessary, for
1487 # example, in the case of _POSIX_SOURCE, which is predefined and required
1488 # on some systems where configure will not decide to define it.
1489 cat >> conftest.vals <<\EOF
1490 s%^[ ]*#[ ]*undef[ ][ ]*[a-zA-Z_][a-zA-Z_0-9]*%/* & */%
1491 EOF
1492
1493 # Break up conftest.vals because some shells have a limit on
1494 # the size of here documents, and old seds have small limits too.
1495
1496 rm -f conftest.tail
1497 while :
1498 do
1499 ac_lines=`grep -c . conftest.vals`
1500 # grep -c gives empty output for an empty file on some AIX systems.
1501 if test -z "$ac_lines" || test "$ac_lines" -eq 0; then break; fi
1502 # Write a limited-size here document to conftest.frag.
1503 echo ' cat > conftest.frag <<CEOF' >> $CONFIG_STATUS
1504 sed ${ac_max_here_lines}q conftest.vals >> $CONFIG_STATUS
1505 echo 'CEOF
1506 sed -f conftest.frag conftest.in > conftest.out
1507 rm -f conftest.in
1508 mv conftest.out conftest.in
1509 ' >> $CONFIG_STATUS
1510 sed 1,${ac_max_here_lines}d conftest.vals > conftest.tail
1511 rm -f conftest.vals
1512 mv conftest.tail conftest.vals
1513 done
1514 rm -f conftest.vals
1515
1516 cat >> $CONFIG_STATUS <<\EOF
1517 rm -f conftest.frag conftest.h
1518 echo "/* $ac_file. Generated automatically by configure. */" > conftest.h
1519 cat conftest.in >> conftest.h
1520 rm -f conftest.in
1521 if cmp -s $ac_file conftest.h 2>/dev/null; then
1522 echo "$ac_file is unchanged"
1523 rm -f conftest.h
1524 else
1525 # Remove last slash and all that follows it. Not all systems have dirname.
1526 ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1527 if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1528 # The file is in a subdirectory.
1529 test ! -d "$ac_dir" && mkdir "$ac_dir"
1530 fi
1531 rm -f $ac_file
1532 mv conftest.h $ac_file
1533 fi
1534 fi; done
1535
1536 EOF
1537 cat >> $CONFIG_STATUS <<EOF
1538
1539 EOF
1540 cat >> $CONFIG_STATUS <<\EOF
1541 chmod a+x pcre-config
1542 exit 0
1543 EOF
1544 chmod +x $CONFIG_STATUS
1545 rm -fr confdefs* $ac_clean_files
1546 test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
1547

Properties

Name Value
svn:executable *

webmaster@exim.org
ViewVC Help
Powered by ViewVC 1.1.12